import {
  d as x
} from "./chunk-IU22WWJQ.js";
import {
  a as r
} from "./chunk-IO47FP3U.js";

// ../node_modules/es-toolkit/dist/object/mergeWith.mjs
function s(o, p, n) {
  let f = Object.keys(p);
  for (let e = 0; e < f.length; e++) {
    let t = f[e], i = p[t], m = o[t], u = n(m, i, t, o, p);
    u != null ? o[t] = u : Array.isArray(i) ? o[t] = s(m ?? [], i, n) : x(m) && x(i) ? o[t] = s(m ?? {}, i, n) : (m === void 0 || i !== void 0) && (o[t] = i);
  }
  return o;
}
r(s, "mergeWith");

// ../node_modules/es-toolkit/dist/object/pick.mjs
function l(o, p) {
  let n = {};
  for (let f = 0; f < p.length; f++) {
    let e = p[f];
    Object.hasOwn(o, e) && (n[e] = o[e]);
  }
  return n;
}
r(l, "pick");

// ../node_modules/es-toolkit/dist/object/pickBy.mjs
function c(o, p) {
  let n = {}, f = Object.keys(o);
  for (let e = 0; e < f.length; e++) {
    let t = f[e], i = o[t];
    p(i, t) && (n[t] = i);
  }
  return n;
}
r(c, "pickBy");

// ../node_modules/es-toolkit/dist/array/partition.mjs
function h(o, p) {
  let n = [], f = [];
  for (let e = 0; e < o.length; e++) {
    let t = o[e];
    p(t) ? n.push(t) : f.push(t);
  }
  return [n, f];
}
r(h, "partition");

export {
  h as a,
  s as b,
  l as c,
  c as d
};
